System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.Collections.CollectionBase System.Collections.IList System.Collections.ICollection System.Collections.IEnumerable System.Reflection.DefaultMember(MemberName="Item")
- Method
  System.Int32 `` To be added.

  Appends the specified object to this collection.

  The zero-based index of the object that is appended to this collection.

  The object to append to this collection.
- Method
  System.Void `` To be added. To be added.

  Appends the contents of the specified object to this collection.

- Method
  System.Void `` To be added. To be added.

  Appends the contents of the object to this collection.

- Method
  System.Int32 `` To be added.

  Retrieves the index of a specified property value in this collection.

  The zero-based index of the specified property value. If the object is not found, the return value is -1.

  The property value to find.
- Method
  System.Void `` `` To be added.

  Inserts a property value into this collection at a specified index.

  The zero-based index at which to insert the property value. The property value to insert.
- Method
  System.Void `` To be added.

  When working with a multi-valued string property value, the method will successfully remove the correct item. However, identifying the correct items by name is difficult with a multi-valued DNWithString property value (as the DNWithString COM class, which is used to store the DNWithString items, has 2 string properties representing the item). The way to remove such items is to find the object in the collection (by looping thru all the items), then call the function with the object's pointer that you just found. This is illustrated in the example below.

  Removes a specified property value from this collection.

- Method
  System.Boolean `` To be added.

  Determines whether the specified object is in this collection.

  true if the specified property belongs to this collection; otherwise, false.

  The object to search for in this collection.
- Method
  System.Void `` `` To be added. To be added.

  Copies all objects in this collection to the specified array, starting at the specified index in the target array.

  The zero-based index in where this method starts copying this collection.
- Property
  System.Object To be added.

  To add multiple values, set this property to an array of the values.

  Gets or sets the values of the collection.

- Property
  System.Object `` To be added. To be added. To be added. To be added.
To be added.

Contains the values of a property.